# Uses of Class
it.tdlight.jni.TdApi.Invoice

## Uses of TdApi.Invoice in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Invoice
Modifier and Type
Field
Description
`TdApi.Invoice`
TdApi.InputMessageInvoice.`invoice`
Invoice.
`TdApi.Invoice`
TdApi.PaymentForm.`invoice`
Full information about the invoice.
`TdApi.Invoice`
TdApi.PaymentReceipt.`invoice`
Information about the invoice.
Constructors in it.tdlight.jni with parameters of type TdApi.Invoice
Modifier
Constructor
Description
``
`InputMessageInvoice(TdApi.Invoice invoice, String title, String description, String photoUrl, int photoSize, int photoWidth, int photoHeight, byte[] payload, String providerToken, String providerData, String startParameter, TdApi.InputMessageContent extendedMediaContent)`
A message with an invoice; can be used only by bots.
``
`PaymentForm(long id, TdApi.Invoice invoice, long sellerBotUserId, long paymentProviderUserId, TdApi.PaymentProvider paymentProvider, TdApi.PaymentOption[] additionalPaymentOptions, TdApi.OrderInfo savedOrderInfo, TdApi.SavedCredentials[] savedCredentials, boolean canSaveCredentials, boolean needPassword, String productTitle, TdApi.FormattedText productDescription, TdApi.Photo productPhoto)`
Contains information about an invoice payment form.
``
`PaymentReceipt(String title, TdApi.FormattedText description, TdApi.Photo photo, int date, long sellerBotUserId, long paymentProviderUserId, TdApi.Invoice invoice, TdApi.OrderInfo orderInfo, TdApi.ShippingOption shippingOption, String credentialsTitle, long tipAmount)`
Contains information about a successful payment.